Bug 1130196

Summary: Please build re2 for EPEL7
Product: [Fedora] Fedora EPEL Reporter: Anssi Johansson <rhbugs>
Component: re2Assignee: Denis Arnaud <denis.arnaud_fedora>
Status: MODIFIED --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: epel7CC: denis.arnaud_fedora, projects.rg, tcallawa
Target Milestone: ---Flags: projects.rg: needinfo? (tcallawa)
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Anssi Johansson 2014-08-14 14:11:14 UTC
I heard the clamav guys are considering adding re2 as an optional dependency for clamav. re2 seems to be available for EPEL5 and EPEL6, but not for EPEL7. re2 for EPEL7 would be needed when a clamav that uses re2 is eventually released.

Comment 1 Denis Arnaud 2014-08-16 14:36:47 UTC
Ok, I have added the package to the EPEL 7 wish list: https://fedoraproject.org/wiki/EPEL/epel7/Requests

Comment 2 Denis Arnaud 2014-08-18 17:14:35 UTC
The built has successfully completed: http://koji.fedoraproject.org/koji/taskinfo?taskID=7407270

Comment 3 Fedora Update System 2019-08-05 09:14:18 UTC
FEDORA-EPEL-2019-6df6efa695 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-6df6efa695

Comment 4 Fedora Update System 2019-08-06 02:03:19 UTC
re2-20190801-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-6df6efa695

Comment 5 Raphael Groner 2019-08-06 12:16:00 UTC
Did you check for any ABI breakage? Not sure if I'd give negative karma for the epel7 branch as already done for the updates in both F29 and F30 considered to be kept as stable.

BTW There's already a package in epel7, asking former committer spot what he thinks:
https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d8f84c6912

Though, I think it's okayish to have it as a new el8 tagged package in the relatively new branch epel8.

Comment 6 Denis Arnaud 2019-08-06 18:31:32 UTC
(In reply to Raphael Groner from comment #5)
> Did you check for any ABI breakage? Not sure if I'd give negative karma for
> the epel7 branch as already done for the updates in both F29 and F30
> considered to be kept as stable.

Thanks for your feedback! No, actually, I did not check, as I did not know about the other package. My bad. Up to you to downvote it (as you are right, it may break other packages). Help is welcome for testing with those packages.

Comment 7 Raphael Groner 2019-08-07 05:08:19 UTC
For depenencies, try with: repoquery --requires --resolve --recursive re2
You may need to install the package yum-utils.
https://www.thegeekdiary.com/how-to-use-repoquery-command-to-list-package-dependencies/

In my opinion, we should delay this update till all dependencies are checked.

Comment 8 Raphael Groner 2019-08-07 05:19:42 UTC
Sorry, try with: repoquery --whatrequires --recursive re2
Or: repoquery --tree-whatrequires --recursive re2

Output is a very long list, so we'd not post it in this bug.

(Got confused now, too.)

Comment 9 Denis Arnaud 2019-08-07 13:28:24 UTC
(In reply to Raphael Groner from comment #8)
> Sorry, try with: repoquery --whatrequires --recursive re2
> Or: repoquery --tree-whatrequires --recursive re2
> 
> Output is a very long list, so we'd not post it in this bug.
> 
> (Got confused now, too.)

Thanks, I'll do that (have a build-root with the new RE2 and re-build the packages depending on RE2); should have done it before.